<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rnaqc_plate_import.js" 
	styles="path.css,~../css/reggie-2.css,~../css/plate.css"
>
<style>
.well
{
	height: 30px;
	max-height: 30px;
	min-height: 30px;
	width: 35px;
	max-width: 35px;
	min-width: 35px;
	font-weight: bold;
	font-size: 75%;
	vertical-align: middle;
	text-align: center;
	color: #C0C0C0;
}

.well.empty
{
	background-color: #E0E0E0;
	pointer-events: none;
}

.well.has-extra
{
	color: #000000;
	background: #FFF066;
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA quality control - Import Caliper results" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
		<input type="hidden" name="csv.id" value="">
		<input type="hidden" name="gxd.std.id" value="">
		<input type="hidden" name="gxd.hi.id" value="">
		<input type="hidden" name="pdf.id" value="">
	
	<!-- 1. Select files -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select data files</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="section-header">
				<td colspan="4">Files</td>
			</tr>
			<tr class="align-middle">
				<td class="subprompt">Well table CSV</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="csv" id="csv" 
							data-subtype="CALIPER_WELL_TABLE" data-name-filter="%.csv"
							data-directory="/home/SCANB/RNAQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="csv.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="csv.status"></td>
				<td class="help">
					<span id="csv.message" class="message"></span>
					Select the <b>Well Table CSV file</b> that contains the exported analysis result from the
					Caliper software.
				</td>
			</tr>
			
			<tr class="align-middle">
				<td class="subprompt">GXD standard</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="gxdstd" id="gxdstd" 
							data-subtype="CALIPER_RAW_DATA" data-name-filter="%.gxd"
							data-directory="/home/SCANB/RNAQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="gxdstd.btn"
						/>
					</td>
					</tr>
					</table>		
				</td>
				<td class="status" id="gxdstd.status"></td>
				<td class="help">
					<span id="gxdstd.message" class="message"></span>
					Select the <b>Standard GXD file</b> that contains the raw data.
				</td>
			</tr>
			<tr class="align-middle">
				<td class="subprompt">GXD high sense</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="gxdhi" id="gxdhi" 
							data-subtype="CALIPER_RAW_DATA" data-name-filter="%.gxd"
							data-directory="/home/SCANB/RNAQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="gxdhi.btn"
						/>
					</td>
					</tr>
					</table>		
				</td>
				<td class="status" id="gxdhi.status"></td>
				<td class="help">
					<span id="gxdhi.message" class="message"></span>
					Select the <b>High sense GXD file</b> that contains the raw data.
				</td>
			</tr>
			<tr class="align-middle">
				<td class="subprompt">PDF file</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="pdf" id="pdf" 
							data-subtype="CALIPER_PDF" data-name-filter="%.pdf"
							data-directory="/home/SCANB/RNAQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="pdf.btn"
						/>
					</td>
					</tr>
					</table>		
				</td>
				<td class="status" id="pdf.status"></td>
				<td class="help">
					<span id="pdf.message" class="message"></span>
					Select the PDF file that contains a printout with diagrams and other
					useful documentation.
				</td>
			</tr>
			<tr class="section-header">
				<td colspan="2">Caliper plate <span id="bioplate.name"><i>(no file loaded)</i></span></td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
				</td>
			</tr>
			<tr id="extraAliquotSection">
				<td class="subprompt">Extra aliquots from RNA</td>
				<td class="input">
					<label><input type="radio" name="extraAliquot" id="extraAliquot.No" value="0" checked>No</label>
					<label><input type="radio" name="extraAliquot" id="extraAliquot.Yes" value="1" disabled>Yes</label>
				</td>
				<td class="status" id="extraAliquot.status"></td>
				<td class="help">
					<span id="extraAliquot.message" class="message"></span>
					Select <b>Yes</b> if extra aliquots was taken from one or more extracts
					to make a secondary measurement.
				</td>
			</tr>
			<tr id="extraAliquotPlateSection" style="display: none;">
				<td class="subprompt"></td>
				<td colspan="2">
					<div id="extraAliquotPlate" style="margin: 0.25em 0;"></div>
				</td>
				<td class="help">
					Select wells and specify the volume in µl that was taken from the RNA tube.
				</td>
			</tr>
			<tr>
				<td class="subprompt">QC Run Date</td>
				<td class="input">
					<input type="text" name="qcRunDate" id="qcRunDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="qcOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="qcRunDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="qcRunDate"
							data-date-format="yyyyMMdd"
							data-title="QC run date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="qcRunDate.status"></td>
				<td class="help">
					<span id="qcRunDate.message" class="message"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="subprompt">QC Operator</td>
				<td class="input">
					<input type="text" name="qcOperator" id="qcOperator" 
						value="<%=HTML.encodeTags(user.getName()) %>" maxlength="255">
				</td>
				<td class="status" id="qcOperator.status"></td>
				<td class="help">
					<span id="qcOperator.message" class="message"></span>
				</td>
			</tr>
			<tr class="align-top">
				<td class="subprompt">Comments</td>
				<td class="input">
					<textarea name="comments" id="comments" rows="4"></textarea>
				</td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>